#ifndef __U4PC98SHAPE_INFO_H__
#define __U4PC98SHAPE_INFO_H__

#define FILE_ID_NONE			(0)
#define FILE_ID_OCSHAPE			(1)
#define FILE_ID_SWSHAPE			(2)

#define FILE_ID_COUNT			(3)

#define SHAPE_WIDTH		(32)
#define SHAPE_HEIGHT	(32)

#define NUM_MIN_ROWS	(16)
#define NUM_ROWS		(23)
#define NUM_COLS		(16)

struct shape_info {
	int file_id;
	int shape;
	int bit_count;
	int offset;
};

extern const struct shape_info shape_info[NUM_ROWS][NUM_COLS];

#endif	/* __U4PC98SHAPE_INFO_H__ */
